Drupal.behaviors.javascriptTabsSetup = {
  attach: function(context) {
    // first remove classes & add IDs so CSS doesn't get confused
    jQuery('div#javascript-tabs ul.tabs.primary').attr('id', 'javascript-tabs-primary');
    jQuery('div#javascript-tabs ul.tabs.secondary').attr('id', 'javascript-tabs-secondary');
    jQuery('div#javascript-tabs ul').removeClass('tabs primary secondary');

    // if there are secondary tabs then add them as a sub-menu
    if (jQuery('div#javascript-tabs ul#javascript-tabs-secondary').length) {
      jQuery('div#javascript-tabs ul#javascript-tabs-primary li.active').append(jQuery('div#javascript-tabs ul#javascript-tabs-secondary'));
    }

    // click / rollover code for displaying our menu
    jQuery('div#javascript-tabs div#javascript-tabs-rollover').click(function() {
        jQuery('div#javascript-tabs ul#javascript-tabs-primary').slideToggle('fast');
    });

    // timeout the slide to fade after 4 seconds of non-interaction
    var timeOut = null;

    jQuery('div#javascript-tabs ul#javascript-tabs-primary, div#javascript-tabs div#javascript-tabs-rollover').mouseleave(function() {
      clearTimeout(timeOut);
      timeOut = setTimeout(function() {
        if ((jQuery('div#javascript-tabs ul#javascript-tabs-primary').is(':hover') === false) && (jQuery('div#javascript-tabs div#javascript-tabs-rollover').is(':hover') === false)) {
          jQuery('div#javascript-tabs ul#javascript-tabs-primary').slideToggle();
        }
      } , 4000);
    });
  }
};
